--- Guilder: Demoting Module
-- This module allows the user to demote members that have been offline for a certain timeframe
-- @class file
-- @name Modules/demoter.lua
-- @release 1.0.0

if select(6, GetAddOnInfo("Guilder_" .. (debugstack():match("[o%.][d%.][u%.]les\\(.-)\\") or ""))) ~= "MISSING" then return end

local Guilder = _G.Guilder
if not Guilder then
	error("Guilder_Demoter requires Guilder")
end

--[[ *** LOAD LIBRARIES *** ]]--

local Guilder_Demoter = Guilder:NewModule("")
local L = Guilder.L
Guilder_Demoter.modName = L[""]

--[[ *** SET UP VARIABLES *** ]]--



--[[ *** DEFAULT SETTINGS *** ]]--

local defaults = {
	profile = {
	}
}

--[[ *** CONFIGURATION MENU *** ]]--

local options = {
}

--[[ *** MODULE FUNCTIONS *** ]]--

function Guilder_Demoter:OnInitialize()
	if Guilder.db.profile.modules[""] == nil then Guilder.db.profile.modules[""] = false end
	self.db = Guilder.db:RegisterNamespace("", defaults)
end

function Guilder_Demoter:OnEnable()
end

function Guilder_Demoter:OnDisable()
end

function Guilder_Demoter:Info()
	return L[""]
end

function Guilder_Demoter:DoCommand(sender, msg)
end

function Guilder_Demoter:GetCommand()
	return nil
end

function Guilder_Demoter:GetHelp()
	return nil
end

function Guilder_Demoter:GetOptions()
	return options
end

--[[ ***  FUNCTIONS *** ]]--

--- 
-- @param
-- @usage
-- @returns
